Subject: Re: [PATCH v2] Allow use of TLS 1.3

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 23 Mar 2018 23:28:54 +0100

On Fri, Mar 23 2018, Junio C. Hamano wrote:

>> @@ -62,6 +62,9 @@ static struct {
>>  	{ "tlsv1.1", CURL_SSLVERSION_TLSv1_1 },
>>  	{ "tlsv1.2", CURL_SSLVERSION_TLSv1_2 },
>>  #endif
>> +#ifdef CURL_SSLVERSION_TLSv1_3
>> +	{ "tlsv1.3", CURL_SSLVERSION_TLSv1_3 }
>> +#endif
>>  };
>
> It seems to me that
>
>     https://github.com/curl/curl/blob/master/include/curl/curl.h#L1956
>
> tells me that this #ifdef would not work.  Did you test it with the
> "test not version but feature" change you made at the last minute?
>
> I know it is not your fault but is Ævar's, but you're responsible
> for double-checking what you are told on the internet ;-)

Yeah I should add some "I haven't actually tried this, but what do you
think about this?" disclaimer.

But it's not a good sign that we have a v2 with an ifdef that'll never
be true, indicating that it wasn't tested against TLSv1.3. Is there some
way we could check for this in our test suite?